
/*
    zfence - allocator for glib
    Copyright (C) 2012 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZFENCE_H
#define __ZFENCE_H

#include <libziaint.h>

#include <glib.h>

void zfence_init(gsize padsize, char padchar, int memvalue);
void zfence_free(void);
void zfence_check(const char *fname);
void zfence_start(void);

gpointer zfence_malloc(gsize n_bytes);
gpointer zfence_realloc (gpointer mem, gsize n_bytes);
void zfence_mfree(gpointer mem);



#endif
